using System;
using System.Linq;
using System.Text;
using System.Collections.Generic;

using Plus.HabboHotel.Rooms;

namespace Plus.HabboHotel.Rooms.Chat.Commands.Moderator.Fun
{
    class OverrideCommand : IChatCommand
    {
        public string PermissionRequired
        {
            get { return "command_override"; }
        }

        public string Parameters
        {
            get { return ""; }
        }

        public string Description
        {
            get { return "Vous donne la possibilité de marcher sur n'importe quoi."; }
        }

        public void Execute(GameClients.GameClient Session, Rooms.Room Room, string[] Params)
        {
            RoomUser User = Room.GetRoomUserManager().GetRoomUserByHabbo(Session.GetHabbo().Id);
            if (User == null)
                return;
            if (Session.GetHabbo().Rank <= 2) // Utilisation hors staff.
            {
                if (!Room.CheckRights(Session, true)) // On tcheck le proprio 
                {
                    Session.SendWhisper("Ce n'est pas ton appart!");
                    return;
                }
                else
                {
                    User.AllowOverride = !User.AllowOverride;
                    Session.SendWhisper("Mode de marche mis à jour.");
                    return;
                }
            }
            else
            User.AllowOverride = !User.AllowOverride;
            Session.SendWhisper("Mode de marche mis à jour.");
        }
    }
}
